import { $, implicit$FirstArg } from '@builder.io/qwik';
/**
 * See {@link valiField$}
 */
export function valiFieldQrl(schema) {
    return $(async (value) => {
        const resolvedSchema = await schema.resolve();
        const result = await (typeof resolvedSchema === 'function'
            ? resolvedSchema()
            : resolvedSchema)._parse(value, { abortPipeEarly: true });
        return result.issues?.[0].message || '';
    });
}
/**
 * Creates a validation functions that parses the Valibot schema of a field.
 *
 * @param schema A Valibot schema.
 *
 * @returns A validation function.
 */
export const valiField$ = implicit$FirstArg(valiFieldQrl);
