/**
 * Returns the initial store of a field array.
 *
 * @param name The name of the field array.
 * @param state The initial state.
 *
 * @returns The initial store.
 */
export function getInitialFieldArrayStore(name, { items, initialItems, error } = {
    items: [],
    initialItems: [],
    error: '',
}) {
    const dirty = initialItems.join() !== items.join();
    return {
        internal: {
            initialItems: [...initialItems],
            startItems: [...initialItems],
            validate: [],
            consumers: [],
        },
        name,
        items,
        error,
        active: false,
        touched: dirty,
        dirty,
    };
}
