import { isFieldDirty } from './isFieldDirty';
/**
 * Returns the initial store of a field.
 *
 * @param initialState The initial state.
 *
 * @returns The initial store.
 */
export function getInitialFieldStore(name, { value, initialValue, error, } = {
    value: undefined,
    initialValue: undefined,
    error: '',
}) {
    const dirty = isFieldDirty(initialValue, value);
    return {
        internal: {
            initialValue,
            startValue: initialValue,
            validate: [],
            transform: [],
            elements: [],
            consumers: [],
        },
        name,
        value,
        error,
        active: false,
        touched: dirty,
        dirty,
    };
}
