/**
 * Parses a value with a Zod schema and returns the result.
 *
 * @param schema The Zod schema.
 * @param value The value.
 *
 * @returns The parse result.
 */
export async function getParsedZodSchema(schema, value) {
    const zodSchema = await schema.resolve();
    return (typeof zodSchema === 'function' ? zodSchema() : zodSchema).safeParse(value);
}
