import { getFieldArrayStore } from './getFieldArrayStore';
import { getInitialFieldArrayStore } from './getInitialFieldArrayStore';
/**
 * Initializes and returns the store of a field array.
 *
 * @param form The form of the field array.
 * @param name The name of the field array.
 * @param initialState The initial state.
 *
 * @returns The reactive store.
 */
export function initializeFieldArrayStore(form, name) {
    if (!getFieldArrayStore(form, name)) {
        form.internal.fieldArrays[name] = getInitialFieldArrayStore(name);
    }
    return getFieldArrayStore(form, name);
}
