import { updateFormDirty } from './updateFormDirty';
/**
 * Updates the dirty state of a field array.
 *
 * @param form The form of the field array.
 * @param fieldArray The store of the field array.
 */
export function updateFieldArrayDirty(form, fieldArray) {
    // Check if field array is dirty
    const dirty = fieldArray.internal.startItems.join() !== fieldArray.items.join();
    // Update dirty state of field array if necessary
    if (dirty !== fieldArray.dirty) {
        fieldArray.dirty = dirty;
        // Update dirty state of form
        updateFormDirty(form, dirty);
    }
}
