import { type QRL } from '@builder.io/qwik';
import type { ZodType } from 'zod';
import type { FieldValues, MaybeFunction, ValidateForm } from '../types';
/**
 * See {@link zodForm$}
 */
export declare function zodFormQrl<TFieldValues extends FieldValues>(schema: QRL<MaybeFunction<ZodType<any, any, TFieldValues>>>): QRL<ValidateForm<TFieldValues>>;
/**
 * Creates a validation functions that parses the Zod schema of a form.
 *
 * @param schema A Zod schema.
 *
 * @returns A validation function.
 */
export declare const zodForm$: <TFieldValues extends FieldValues>(first: MaybeFunction<ZodType<any, any, TFieldValues>>) => QRL<ValidateForm<TFieldValues>>;
