import type { FieldValues, FormOptions, FormStore, ResponseData } from '../types';
/**
 * Creates and returns the store of the form.
 *
 * TODO: Add initialValues option beside loader
 *
 * @param options The form options.
 *
 * @returns The reactive store.
 */
export declare function useFormStore<TFieldValues extends FieldValues, TResponseData extends ResponseData = undefined>({ validate, validateOn, revalidateOn, ...options }: FormOptions<TFieldValues, TResponseData>): FormStore<TFieldValues, TResponseData>;
