import type { FieldValues, FormDataInfo, PartialValues } from '../types';
/**
 * Returns the values of a form data object. Information that is lost during
 * the transfer of the form data via HTTP can be supplemented.
 *
 * @param formData The form data.
 * @param formDataInfo The form data info.
 *
 * @returns The form data values.
 */
export declare function getFormDataValues<TFieldValues extends FieldValues>(formData: FormData, formDataInfo?: FormDataInfo<TFieldValues>): PartialValues<TFieldValues>;
