import type { FieldArrayPath, FieldArrayStore, FieldValues } from '../types';
/**
 * Value type of the initial field array state.
 */
type InitialFieldArrayState = {
    items: number[];
    initialItems: number[];
    error: string;
};
/**
 * Returns the initial store of a field array.
 *
 * @param name The name of the field array.
 * @param state The initial state.
 *
 * @returns The initial store.
 */
export declare function getInitialFieldArrayStore<TFieldValues extends FieldValues, TFieldArrayName extends FieldArrayPath<TFieldValues>>(name: TFieldArrayName, { items, initialItems, error }?: InitialFieldArrayState): FieldArrayStore<TFieldValues, TFieldArrayName>;
export {};
