import type { FieldArraysStore, FieldsStore, FieldValues, FormOptions, ResponseData } from '../types';
/**
 * Returns a tuple with the initial stores of the fields and field arrays.
 *
 * @param loader The form loader.
 * @param action The form action.
 *
 * @returns The initial stores tuple.
 */
export declare function getInitialStores<TFieldValues extends FieldValues, TResponseData extends ResponseData>({ loader, action, fieldArrays, }: Pick<FormOptions<TFieldValues, TResponseData>, 'loader' | 'action' | 'fieldArrays'>): [FieldsStore<TFieldValues>, FieldArraysStore<TFieldValues>];
