import { type SetErrorOptions } from '../methods';
import type { FieldValues, FormErrors, FormStore, ResponseData } from '../types';
/**
 * Sets the errors for the respective fields.
 *
 * @param form The form of the fields.
 * @param errors The errors of the fields.
 * @param options The error options.
 */
export declare function setFieldErrors<TFieldValues extends FieldValues, TResponseData extends ResponseData>(form: FormStore<TFieldValues, TResponseData>, errors: FormErrors<TFieldValues>, options: SetErrorOptions): void;
