import { type QRL } from '@builder.io/qwik';
import type { FieldValue, Maybe, MaybePromise } from '../types';
/**
 * See {@link custom$}
 */
export declare function customQrl<TFieldValue extends FieldValue>(requirement: QRL<(value: Maybe<TFieldValue>) => MaybePromise<boolean>>, error: string): QRL<(value: Maybe<TFieldValue>) => Promise<string>>;
/**
 * Creates a custom validation function.
 *
 * @param requirement The validation function.
 * @param error The error message.
 *
 * @returns A validation function.
 */
export declare const custom$: <TFieldValue extends FieldValue>(first: (value: Maybe<TFieldValue>) => MaybePromise<boolean>, error: string) => QRL<(value: Maybe<TFieldValue>) => Promise<string>>;
